For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETQuote configuration
      • GETQuote countries
      • GETQuote panels
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIQuote

Quote configuration

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/baseQuoteConfig
GET
/products/v1/:brandCode/baseQuoteConfig
$curl -G https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig \
> -H "Authorization: Bearer <token>" \
> -d quoteType=SINGLETRIP
200World Nomads (abbreviated response)
1{
2 "quotePanelTypeId": 0,
3 "expirySeconds": 86400,
4 "minTravellers": 1,
5 "maxTravellers": 2,
6 "minDependents": 0,
7 "maxDependents": 8,
8 "maxPolicyHolders": 1,
9 "travelDurationConfigs": [
10 {
11 "homeCountryCode": "AUS",
12 "minAdvancePurchaseDays": 0,
13 "maxAdvancePurchaseDays": 364,
14 "defaultTravelDurationDays": 7,
15 "minTravelDurationDays": 1,
16 "maxTravelDurationDays": 1,
17 "maxTravelDurationMonths": 12,
18 "maxTripDurationDays": 1
19 },
20 {
21 "homeCountryCode": "USA",
22 "minAdvancePurchaseDays": 0,
23 "maxAdvancePurchaseDays": 365,
24 "defaultTravelDurationDays": 7,
25 "minTravelDurationDays": 1,
26 "maxTravelDurationDays": 180,
27 "maxTravelDurationMonths": 1,
28 "maxTripDurationDays": 1
29 },
30 {
31 "homeCountryCode": "GBR",
32 "minAdvancePurchaseDays": 0,
33 "maxAdvancePurchaseDays": 364,
34 "defaultTravelDurationDays": 7,
35 "minTravelDurationDays": 1,
36 "maxTravelDurationDays": 366,
37 "maxTravelDurationMonths": 1,
38 "maxTripDurationDays": 1
39 }
40 ],
41 "policyHolderAgeConfigs": [
42 {
43 "homeCountryCode": "USA",
44 "minTravellers": 1,
45 "maxTravellers": 2,
46 "minDependents": 0,
47 "maxDependents": 7,
48 "minTravellerAge": 0,
49 "maxTravellerAge": 69,
50 "minDependentAge": 0,
51 "maxDependentAge": 25,
52 "ageLimitTypeCode": "AGEATQUOTE",
53 "legalAgeOfConsent": 16,
54 "ambiguousAgeGap": 17,
55 "maxAmbiguousAge": 69,
56 "maxPolicyHolders": 1
57 },
58 {
59 "homeCountryCode": "GBR",
60 "minTravellers": 1,
61 "maxTravellers": 2,
62 "minDependents": 0,
63 "maxDependents": 8,
64 "minTravellerAge": 0,
65 "maxTravellerAge": 64,
66 "minDependentAge": 0,
67 "maxDependentAge": 20,
68 "ageLimitTypeCode": "AGEATQUOTE",
69 "legalAgeOfConsent": 16,
70 "ambiguousAgeGap": 17,
71 "maxAmbiguousAge": 64,
72 "maxPolicyHolders": 1
73 },
74 {
75 "homeCountryCode": "AUS",
76 "minTravellers": 1,
77 "maxTravellers": 2,
78 "minDependents": 0,
79 "maxDependents": 8,
80 "minTravellerAge": 0,
81 "maxTravellerAge": 69,
82 "minDependentAge": 0,
83 "maxDependentAge": 20,
84 "ageLimitTypeCode": "AGEATQUOTE",
85 "legalAgeOfConsent": 16,
86 "ambiguousAgeGap": 17,
87 "maxAmbiguousAge": 69,
88 "maxPolicyHolders": 1
89 }
90 ],
91 "travelRestrictionConfigs": [
92 {
93 "homeCountryCode": "AUS",
94 "isHandledByLegacy": false,
95 "isProvinceRequiredForQuote": false,
96 "domesticTravelCoverTypeCode": "NOTCOVERED",
97 "noProductCountryCodes": [
98 "SJM",
99 "SPC",
100 "MED",
101 "EUC",
102 "CAR",
103 "ALI",
104 "AEN",
105 "AIN",
106 "XKX",
107 "WWE",
108 "WWX",
109 "WWU"
110 ],
111 "unsafeCountryCodes": [
112 "AFG",
113 "AUW",
114 "BDI",
115 "CAF",
116 "ETH",
117 "IRN",
118 "IRQ",
119 "LBY",
120 "MLI",
121 "MMR",
122 "NER",
123 "SOM",
124 "SSD",
125 "SYR",
126 "TCD",
127 "VEN",
128 "YEM"
129 ],
130 "sanctionedCountryCodes": [
131 "BLR",
132 "CUB",
133 "IRN",
134 "MMR",
135 "PRK",
136 "SYR",
137 "UKR",
138 "VCT",
139 "VEN"
140 ],
141 "unsupportedHomeProvinceCodes": [
142 "unsupportedHomeProvinceCodes"
143 ]
144 }
145 ],
146 "maxTripValuePerTraveller": 0
147}
Retrieves configuration items related to a particular brand.
Was this page helpful?
Previous

Quote countries

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:

Query parameters

quoteTypeenumRequiredDefaults to SINGLETRIP

This parameter identifies whether the quote configuration is for a single trip (SINGLETRIP) or annual multi trip (MULTITRIP) quotes.

Allowed values:

Response

Success
quotePanelTypeIdlongDefaults to 0
expirySecondsinteger
Number of seconds before this quote configuration expires.
minTravellersinteger
Minimum number of adult travellers supported on a policy.
maxTravellersinteger
Maximum number of adult travellers supported on a policy.
minDependentsinteger
Minimum number of dependents supported on a policy.
maxDependentsinteger
Maximum number of dependents supported on a policy.
maxPolicyHoldersinteger
travelDurationConfigslist of objects
List of configuration by home country code, defining business rules for each product offered.
policyHolderAgeConfigslist of objects
travelRestrictionConfigslist of objects
maxTripValuePerTravellerdouble